list.linkedlist

## Class LinkedListMember

- java.lang.Object
- - list.linkedlist.LinkedListMember

-     class LinkedListMember
      extends java.lang.Object

  Implementace členu spojových seznamů.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Element` | `element` prvek, který je hodnotou členu
    `private LinkedListMember` | `next` následující člen

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedListMember(Element value)` Vyrobí instanci členu spojového seznamu.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `append(LinkedListMember member)` Vloží člen member za this.
    `protected void` | `finalize()` Uvede člen spojového seznamu do koncového stavu.
    `(package private) Element` | `getElement()` Vrátí prvek obsažený v členu.
    `(package private) LinkedListMember` | `getNext()` Vrátí člen seznamu následující za this.
    `(package private) void` | `setElement(Element value)` Nastaví prvek do členu.
    `(package private) void` | `setNext(LinkedListMember nextMember)` Nastaví člen seznamu následující za this.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### element

          private Element element

      prvek, který je hodnotou členu

    - #### next

          private LinkedListMember next

      následující člen

  - ### Constructor Detail

    - #### LinkedListMember

          LinkedListMember(Element value)

      Vyrobí instanci členu spojového seznamu.
      Parameters:
        `value` - hodnota členu

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Uvede člen spojového seznamu do koncového stavu. Odpojí navázané objekty a tím usnadní jejich destrukci a uvolnění z paměti.

      Užití: Nepoužívejte. Volá se automaticky při destrukci.

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable` - zděděná výjimka

    - #### getElement

          Element getElement()

      Vrátí prvek obsažený v členu.
      Returns:
        prvek obsažený v členu

    - #### setElement

          void setElement(Element value)

      Nastaví prvek do členu.
      Parameters:
        `value` - prvek, který má být hodnotou členu

    - #### append

          void append(LinkedListMember member)

      Vloží člen member za this. Správně připojí následující členy za member.
      Parameters:
        `member` - člen, který má být připojen za this

    - #### getNext

          LinkedListMember getNext()

      Vrátí člen seznamu následující za this.
      Returns:
        člen seznamu následující za this

    - #### setNext

          void setNext(LinkedListMember nextMember)

      Nastaví člen seznamu následující za this.
      Parameters:
        `nextMember` - člen, který má následovat za this